<?php

namespace Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

class LogRotinasDoPortalController
{

    protected $service;
    
    public function __construct($service)
    {
        $this->service = $service;
    }
    
    public function getGridData(Request $request, Response $response)
    {
        $conditions = $request->getFilterCriteria()->getConditions();
        $array = $this->service->getGridData($conditions);

        $response->addDataSet(new DataSet('gridData', $array));

    }

    

}
